--- HandBrake-1.5.0/make/include/main.defs.orig	2022-01-10 15:32:25.000000000 +0100
+++ HandBrake-1.5.0/make/include/main.defs	2022-01-10 20:39:10.440816215 +0100
@@ -14,20 +14,9 @@
 endif
 
 ifneq (,$(filter $(HOST.system),darwin cygwin mingw))
-    MODULES += contrib/freetype
-    MODULES += contrib/fribidi
-    MODULES += contrib/harfbuzz
-    MODULES += contrib/libxml2
-    MODULES += contrib/libass
     MODULES += contrib/libogg
     MODULES += contrib/libvorbis
-    MODULES += contrib/libopus
-    MODULES += contrib/libspeex
     MODULES += contrib/libtheora
-    MODULES += contrib/lame
-    MODULES += contrib/x264
-    MODULES += contrib/jansson
-    MODULES += contrib/libvpx
     MODULES += contrib/libjpeg-turbo
 endif
 
@@ -47,6 +36,20 @@
     MODULES += contrib/x265_12bit
 endif
 
+# Slackware: build these statically:
+MODULES += contrib/freetype
+MODULES += contrib/fribidi
+MODULES += contrib/harfbuzz
+MODULES += contrib/libxml2
+MODULES += contrib/libass
+MODULES += contrib/libopus
+MODULES += contrib/libspeex
+MODULES += contrib/libvpx
+MODULES += contrib/lame
+MODULES += contrib/x264
+MODULES += contrib/jansson
+# END Slackware
+
 MODULES += contrib/libdav1d
 MODULES += contrib/zimg
 MODULES += contrib/ffmpeg
@@ -55,10 +58,8 @@
 MODULES += contrib/libbluray
 
 ifeq (1,$(FEATURE.qsv))
-ifeq (,$(filter $(HOST.system),freebsd))
     MODULES += contrib/libvpl
 endif
-endif
 
 ifeq (1,$(FEATURE.vce))
     MODULES += contrib/amf
